attribute float aScale;

uniform float uPixelRatio;
uniform float uTime;

void main()
{

    vec4 mvPosition = vec4(position, 1.0);
    #ifdef USE_INSTANCING
	     mvPosition = instanceMatrix * mvPosition;
     #endif
    vec4 modelPosition = modelMatrix * mvPosition;
    vec4 viewPosition = viewMatrix * modelPosition;
    vec4 projectionPosition = projectionMatrix * viewPosition;

    gl_Position = projectionPosition;
}